package com.qmth.jkserver.dto.examProgress;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 考试进度统计
 * @Author: CaoZixuan
 * @Date: 2021-11-12
 */
public class ExamProgressStatisticDto {
    @ApiModelProperty(value = "应考科次")
    private Integer totalTimes;

    @ApiModelProperty(value = "实考科次")
    private Integer realityTimes;

    @ApiModelProperty(value = "完成率 = 实考科次/应考科次")
    private BigDecimal finishRate;

    @ApiModelProperty(value = "已检录科次")
    private Integer registrationTotalTimes;

    @ApiModelProperty(value = "检录通过科次")
    private Integer registrationPassTimes;

    @ApiModelProperty(value = "检录不通过科次")
    private Integer registrationNoPassTimes;

    @ApiModelProperty(value = "违纪科次")
    private Integer examStudentCheatTimes;

    @ApiModelProperty(value = "缺考科次")
    private Integer examStudentAbsentTimes;

    public ExamProgressStatisticDto() {
    }

    public ExamProgressStatisticDto(Integer totalTimes, Integer realityTimes, BigDecimal finishRate, Integer registrationTotalTimes, Integer registrationPassTimes, Integer registrationNoPassTimes, Integer examStudentCheatTimes, Integer examStudentAbsentTimes) {
        this.totalTimes = totalTimes;
        this.realityTimes = realityTimes;
        this.finishRate = finishRate;
        this.registrationTotalTimes = registrationTotalTimes;
        this.registrationPassTimes = registrationPassTimes;
        this.registrationNoPassTimes = registrationNoPassTimes;
        this.examStudentCheatTimes = examStudentCheatTimes;
        this.examStudentAbsentTimes = examStudentAbsentTimes;
    }

    public Integer getTotalTimes() {
        return totalTimes;
    }

    public void setTotalTimes(Integer totalTimes) {
        this.totalTimes = totalTimes;
    }

    public Integer getRealityTimes() {
        return realityTimes;
    }

    public void setRealityTimes(Integer realityTimes) {
        this.realityTimes = realityTimes;
    }

    public BigDecimal getFinishRate() {
        return finishRate;
    }

    public void setFinishRate(BigDecimal finishRate) {
        this.finishRate = finishRate;
    }

    public Integer getRegistrationTotalTimes() {
        return registrationTotalTimes;
    }

    public void setRegistrationTotalTimes(Integer registrationTotalTimes) {
        this.registrationTotalTimes = registrationTotalTimes;
    }

    public Integer getRegistrationPassTimes() {
        return registrationPassTimes;
    }

    public void setRegistrationPassTimes(Integer registrationPassTimes) {
        this.registrationPassTimes = registrationPassTimes;
    }

    public Integer getRegistrationNoPassTimes() {
        return registrationNoPassTimes;
    }

    public void setRegistrationNoPassTimes(Integer registrationNoPassTimes) {
        this.registrationNoPassTimes = registrationNoPassTimes;
    }

    public Integer getExamStudentCheatTimes() {
        return examStudentCheatTimes;
    }

    public void setExamStudentCheatTimes(Integer examStudentCheatTimes) {
        this.examStudentCheatTimes = examStudentCheatTimes;
    }

    public Integer getExamStudentAbsentTimes() {
        return examStudentAbsentTimes;
    }

    public void setExamStudentAbsentTimes(Integer examStudentAbsentTimes) {
        this.examStudentAbsentTimes = examStudentAbsentTimes;
    }
}
